org.apache.lucene.document

## Class LazyDocument

- java.lang.Object
- - org.apache.lucene.document.LazyDocument

-     public class LazyDocument
      extends Object

  Defers actually loading a field's value until you ask for it. You must not use the returned Field instances after the provided reader has been closed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyDocument(IndexReader reader, int docID)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexableField` | `getField(FieldInfo fieldInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyDocument

          public LazyDocument(IndexReader reader,
                      int docID)

  - ### Method Detail

    - #### getField

          public IndexableField getField(FieldInfo fieldInfo)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.